package tareas.tarea3;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JApplet;
import javax.swing.JFrame;
import javax.swing.JButton;
import tareas.tarea2.Simulador;

/**
 * Clase que implementa un Applet para que el programa pueda ser visto desde un
 * navegador.
 * @author Janther
 */
public final class SimuladorApplet extends JApplet {

    /**
     * Numero Serial de la clase.
     */
    private static final long serialVersionUID = 1;
    /**
     * Mtodo que ejecuta el Applet al inicio.
     */
    public void init() {

        final JFrame frame = new Simulador(true);

        JButton simButton = new JButton("Simulador Applet");
        getContentPane().add(simButton);

        simButton.addActionListener(new ActionListener() {
            public void actionPerformed(final ActionEvent evt) {
                if (frame.isVisible()) {
                    frame.setVisible(false);
                } else {
                    frame.setVisible(true);
                }
            }
        });
    }
}
